Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.index
Class FTFuzzy

    java.lang.Object
      org.basex.index.Index
          org.basex.index.FTFuzzy

    public final class FTFuzzy

extends Index

This class provides access to attribute values and text contents stored on disk. The data is stored in two files, ftdata and sizes. Sizes provides a kind of table of contents, using the first char of a token and a pointer on the data entry. Normally there are chars from a-z and 0-9 and the corresponding pointers on the first entry starting with this char. Each token has an entry in sizes, saving its length and a pointer on ftdata, where to find the token and its ftdata. The structure of li: [l, p] ... where l is the length of a token an p the pointer of the first token with length l; there's an entry for each token length [byte, int] The structure of lt: [t0, t1, ... tl, z, s] ... where t0, t1, ... tl are the byte values of the token (byte[l]); z is the pointer on the data entries of the token (int) and s is the number of pre values, saved in data (int) The structure of dat: [pre0, ..., pres, pos0, pos1, ..., poss] where pre and pos are the ft data [int[]]

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Sebastian Gath

Constructor Summary
`FTFuzzy(Data d)` Constructor, initializing the index structure.

Method Summary
`void` | `close()` Closes the index.
`IndexIterator` | `ids(IndexToken ind)` Returns an iterator for the index results.
`byte[]` | `info()` Returns information on the index structure.
`int` | `nrIDs(IndexToken ind)` Returns the (approximate/estimated) number of ids for the specified token.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTFuzzy

    public FTFuzzy(Data d)
            throws java.io.IOException

  Constructor, initializing the index structure.

  Parameters:
    `d` - data reference
  Throws:
    `java.io.IOException` - IO Exception

Method Detail

### info

    public byte[] info()

  Description copied from class: `Index`
  Returns information on the index structure.

  Specified by:
    `info` in class `Index`
  Returns:
    info

### nrIDs

    public int nrIDs(IndexToken ind)

  Description copied from class: `Index`
  Returns the (approximate/estimated) number of ids for the specified token.

  Specified by:
    `nrIDs` in class `Index`
  Parameters:
    `ind` - token to be found
  Returns:
    number of ids

### ids

    public IndexIterator ids(IndexToken ind)

  Description copied from class: `Index`
  Returns an iterator for the index results.

  Specified by:
    `ids` in class `Index`
  Parameters:
    `ind` - token to be found
  Returns:
    ids

### close

    public void close()
               throws java.io.IOException

  Description copied from class: `Index`
  Closes the index.

  Specified by:
    `close` in class `Index`
  Throws:
    `java.io.IOException` - I/O exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD